Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::Point2f Class Reference

二要素実数位置 More...

`#include <Point2f.h>`

List of all members.

## Public Member Functions
| Point2f ()
| コンストラクタ
| Point2f (float sourceX, float sourceY)
| コンストラクタ
| Point2f (float sourceArray[2])
| コンストラクタ
| Point2f (const Point2i &source)
| コンストラクタ
void | set (float sourceX, float sourceY)
| 値の設定
void | set (float sourceArray[2])
| 値の設定
void | set (const Point2i &source)
| 値の設定
Point2f | operator+ (const Point2f &addPoint) const
| 加算
Point2f | operator- (const Point2f &subPoint) const
| 減算
Point2f | operator * (const Point2f &mulPoint) const
| 乗算
Point2f | operator * (float mulValue) const
| 乗算
Point2f | operator+ () const
| +演算子
Point2f | operator- () const
| -演算子
Point2f & | operator+= (const Point2f &addPoint)
| 代入加算
Point2f & | operator-= (const Point2f &subPoint)
| 代入減算
Point2f & | operator *= (const Point2f &mulPoint)
| 代入乗算
Point2f & | operator *= (float mulValue)
| 代入乗算
bool | operator== (const Point2f &target) const
| 同じ値かどうか
bool | operator!= (const Point2f &target) const
| 同じ値でないかどうか
String | toString () const
| 文字列化
## Static Public Attributes
const Point2f | zero
| ゼロ位置
const Point2f | unit
| 単位位置
## Friends
Point2f | operator * (float mulValue, const Point2f &mulPoint)
| 乗算

## Detailed Description

二要素実数位置

このクラスは継承しないで下さい。

Definition at line 38 of file Point2f.h.

## Constructor & Destructor Documentation

Lamp::Point2f::Point2f | ( |  | ) | `[inline]`

| コンストラクタ このコンストラクタは初期値の設定を行わないため値は不定です。 Definition at line 74 of file Point2f.h. Referenced by operator *(), operator+(), and operator-().

Lamp::Point2f::Point2f | ( | float | sourceX,
|  | float | sourceY
| ) | `[inline]`

  | コンストラクタ Parameters:
  sourceX | X値の初期値
  sourceY | Y値の初期値
Definition at line 81 of file Point2f.h. References x, and y.

Lamp::Point2f::Point2f | ( | float | sourceArray[2] | ) | `[inline, explicit]`

  | コンストラクタ Parameters:
  sourceArray | 初期値配列
Definition at line 87 of file Point2f.h. References x, and y.

Lamp::Point2f::Point2f | ( | const Point2i & | source | ) | `[explicit]`

  | コンストラクタ Parameters:
  source | 初期化する位置
Definition at line 42 of file Point2f.cpp.

## Member Function Documentation

Point2f Lamp::Point2f::operator * | ( | float | mulValue | ) | const`[inline]`

  | 乗算 Parameters:
  mulValue | 乗算する値
Returns: 乗算された位置 Definition at line 159 of file Point2f.h. References Point2f(), x, and y.

Point2f Lamp::Point2f::operator * | ( | const Point2f & | mulPoint | ) | const`[inline]`

  | 乗算 Parameters:
  mulPoint | 乗算する位置
Returns: 乗算された位置 Definition at line 150 of file Point2f.h. References Point2f(), x, and y.

Point2f& Lamp::Point2f::operator *= | ( | float | mulValue | ) | `[inline]`

  | 代入乗算 Parameters:
  mulValue | 乗算する値
Returns: 乗算された位置 Definition at line 226 of file Point2f.h. References x, and y.

Point2f& Lamp::Point2f::operator *= | ( | const Point2f & | mulPoint | ) | `[inline]`

  | 代入乗算 Parameters:
  mulPoint | 乗算する位置
Returns: 乗算された位置 Definition at line 215 of file Point2f.h. References x, and y.

bool Lamp::Point2f::operator!= | ( | const Point2f & | target | ) | const`[inline]`

  | 同じ値でないかどうか Parameters:
  target | 比較する位置
Returns: 同じ値でなければtrueを返す Definition at line 249 of file Point2f.h. References x, and y.

Point2f Lamp::Point2f::operator+ | ( |  | ) | const`[inline]`

| +演算子 Returns: 位置のコピー Definition at line 177 of file Point2f.h.

Point2f Lamp::Point2f::operator+ | ( | const Point2f & | addPoint | ) | const`[inline]`

  | 加算 Parameters:
  addPoint | 加算する位置
Returns: 加算された位置 Definition at line 132 of file Point2f.h. References Point2f(), x, and y.

Point2f& Lamp::Point2f::operator+= | ( | const Point2f & | addPoint | ) | `[inline]`

  | 代入加算 Parameters:
  addPoint | 加算する位置
Returns: 加算された位置 Definition at line 193 of file Point2f.h. References x, and y.

Point2f Lamp::Point2f::operator- | ( |  | ) | const`[inline]`

| -演算子 Returns: 値の符号が反転した位置 Definition at line 183 of file Point2f.h. References Point2f(), x, and y.

Point2f Lamp::Point2f::operator- | ( | const Point2f & | subPoint | ) | const`[inline]`

  | 減算 Parameters:
  subPoint | 減算する位置
Returns: 減算された位置 Definition at line 141 of file Point2f.h. References Point2f(), x, and y.

Point2f& Lamp::Point2f::operator-= | ( | const Point2f & | subPoint | ) | `[inline]`

  | 代入減算 Parameters:
  subPoint | 減算する位置
Returns: 減算された位置 Definition at line 204 of file Point2f.h. References x, and y.

bool Lamp::Point2f::operator== | ( | const Point2f & | target | ) | const`[inline]`

  | 同じ値かどうか Parameters:
  target | 比較する位置
Returns: 同じ値であればtrueを返す Definition at line 240 of file Point2f.h. References x, and y.

void Lamp::Point2f::set | ( | const Point2i & | source | ) |

  | 値の設定 Parameters:
  source | 設定する位置
Definition at line 47 of file Point2f.cpp. References Lamp::Point2i::x, x, Lamp::Point2i::y, and y.

void Lamp::Point2f::set | ( | float | sourceArray[2] | ) | `[inline]`

  | 値の設定 Parameters:
  sourceArray | 設定値配列
Definition at line 113 of file Point2f.h. References x, and y.

void Lamp::Point2f::set | ( | float | sourceX,
|  | float | sourceY
| ) | `[inline]`

  | 値の設定 Parameters:
  sourceX | X値の設定値
  sourceY | Y値の設定値
Definition at line 104 of file Point2f.h. References x, and y.

String Lamp::Point2f::toString | ( |  | ) | const`[inline]`

| 文字列化 Returns: 位置の文字列表記 Definition at line 260 of file Point2f.h. References Lamp::String::format(), x, and y.

## Friends And Related Function Documentation

Point2f operator * | ( | float | mulValue,
|  | const Point2f & | mulPoint
| ) | `[friend]`

  | 乗算 Parameters:
  mulValue | 乗算する値
  mulPoint | 乗算される位置
Returns: 乗算された位置 Definition at line 169 of file Point2f.h.

The documentation for this class was generated from the following files:

- Point2f.h
- Point2f.cpp